### Method

# Gtk.Picture.set_filename

#### Declaration [src]

    void
    gtk_picture_set_filename (
      GtkPicture* self,
      const char* filename
    )

#### Description [src]

Makes `self` load and display the given `filename`.

This is a utility function that calls `gtk_picture_set_file()`.

#### Parameters

`filename` | `const char*`
| the filename to play
| Can be `NULL`
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string